<?php

namespace Daylight\Core\Livewire\Store;

use App\Models\User;
use Illuminate\Database\Eloquent\Builder;

class UserOrderTable extends OrderTable
{
    public User $user;

    protected function getBaseQuery(): Builder
    {
        return $this->user->orders()->latest()->getQuery();
    }
}
